kentocarl kentocarl - 19 days ago 12
C# Question

Selenium webdriver 2.53.0 with firefox 45 esr not working?

How do I make it work? I need Firefox 45 esr to work with selenium webdriver 2.53.0 but it is throwing an exception when instantiating FirefoxDriver(desiredCapabilities):

Unable to determine the current version of FireFox using the registry, please make sure you have installed FireFox correctly


Are they not compatible? How do I make webdriver work for Firefox 45 esr?

UPDATE:
I was able to get the 64 bit firefox installer to work only when I installed into C:\Program Files (x86)\Mozilla Firefox. For the 32 bit installer I can't get it to work anywhere. Any reason why it behaves this way?

Answer

I was able to get the 64 bit firefox installer to work only when I installed into C:\Program Files (x86)\Mozilla Firefox. For the 32 bit installer I can't get it to work anywhere. Not sure why though.

Comments